/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <libgnomeui/gnome-about.h>
#include <libgnomeui/gnome-dialog.h>
#include <libgnome/gnome-util.h>
#include <libgnome/gnome-i18n.h>
#include <panel-applet.h>
#include <panel-applet-gconf.h>

#include "RhythmBoxAutomation.h"
#include "main.h"
#include "applet.h"
#include "eel-gconf-extensions.h"

#if 0
typedef struct
{
	GtkWidget *applet;

	gint size;
	PanelAppletOrient orient;

	GNOME_RhythmBoxAutomation server;
	CORBA_Environment corba_env;
} Applet;

static void
about_dialog_cb (BonoboUIComponent *uic,
		 Applet *a,
		 const gchar *verbname)
{
}

static void
destroy_cb (GtkWidget *applet, Applet *a)
{
	bonobo_object_release_unref (a->server, &(a->corba_env));
	CORBA_exception_free (&(a->corba_env));
	g_free (a);
}

static void
change_orient_cb (PanelApplet *applet,
		  PanelAppletOrient orient,
		  Applet *a)
{
	if (a->orient == orient)
		return;

	a->orient = orient;
}

static void
change_size_cb (PanelApplet *applet,
		gint size,
		Applet *a)
{
	if (a->size == size)
		return;

	a->size = size;
}

static const BonoboUIVerb menu_verbs [] = {
	//BONOBO_UI_UNSAFE_VERB ("RhythmBoxAppletProperties", properties_dialog_cb),
	BONOBO_UI_UNSAFE_VERB ("RhythmBoxAppletAbout",      about_dialog_cb),

        BONOBO_UI_VERB_END
};

static gboolean
applet_fill (PanelApplet *applet)
{
	Applet *a;

	a = g_new0 (Applet, 1);

	CORBA_exception_init (&(a->corba_env));

	a->server = bonobo_activation_activate_from_id ("OAFIID:GNOME_RhythmBox_Automation",
						        0, NULL, &(a->corba_env));
	g_assert (a->server != NULL);

	a->applet = GTK_WIDGET (applet);
	a->size   = panel_applet_get_size (applet);
	a->orient = panel_applet_get_orient (applet);

	g_signal_connect (G_OBJECT (a->applet),
			  "destroy",
			  G_CALLBACK (destroy_cb),
			  a);

	g_signal_connect (G_OBJECT (a->applet),
			  "change_orient",
			  G_CALLBACK (change_orient_cb),
			  a);

	g_signal_connect (G_OBJECT (a->applet),
			  "change_size",
			  G_CALLBACK (change_size_cb),
			  a);

	//`anel_applet_add_preferences (applet, "/schemas/apps/rhythmbox-applet/prefs", NULL);

#if 0
	fish->frame = gtk_frame_new (NULL);
	gtk_frame_set_shadow_type (GTK_FRAME (fish->frame), GTK_SHADOW_IN);

	load_image_file (fish);

	create_fish_widget (fish);

	set_wanda_day ();
#endif

	//char *song;
	//CORBA_long e;
	//GNOME_RhythmBoxAutomation_getSongStats (a->server, &song, &e, &(a->corba_env));
	gtk_container_add (GTK_CONTAINER (a->applet), gtk_label_new ("Ha!"));

//	gtk_widget_show_all (GTK_WIDGET (fish->frame));

	gtk_widget_show_all (GTK_WIDGET (a->applet));

	panel_applet_setup_menu_from_file (PANEL_APPLET (a->applet),
				 NULL,
				 "GNOME_RhythmBoxApplet.xml",
				 NULL,
				 menu_verbs,
				 a);

	
	return TRUE;
}

static gboolean
factory (PanelApplet *applet,
	 const gchar *iid,
	 RhythmBox *rhythmbox)
{
	gboolean retval = FALSE;

	if (strcmp (iid, "OAFIID:GNOME_RhythmBoxApplet") == 0)
		retval = applet_fill (applet);

	return retval;
}
#endif

/**
 * applet_new: create a new panel applet
 */
void
applet_new (RhythmBox *rhythmbox)
{
#if 0
	factory (PANEL_APPLET (panel_applet_new ()), "OAFIID:GNOME_RhythmBoxApplet", rhythmbox);
#endif
}
