/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: library-ui.h,v 1.14 2002/04/11 15:31:40 jbaayen Exp $
 */

#ifndef __LIBRARY_UI_H
#define __LIBRARY_UI_H

#include "ui.h"
#include "library.h"
#include "source-manager.h"

G_BEGIN_DECLS

#define TYPE_LIBRARY_UI            (library_ui_get_type ())
#define LIBRARY_UI(obj)	     	   (GTK_CHECK_CAST ((obj), TYPE_LIBRARY_UI, LibraryUI))
#define LIBRARY_UI_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), TYPE_LIBRARY_UI, LibraryUIClass))
#define IS_LIBRARY_UI(obj)	   (GTK_CHECK_TYPE ((obj), TYPE_LIBRARY_UI))
#define IS_LIBRARY_UI_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_LIBRARY_UI))
#define LIBRARY_UI_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), TYPE_LIBRARY_UI, LibraryUIClass))

typedef struct _LibraryUI        	LibraryUI;
typedef struct _LibraryUIClass 		LibraryUIClass;

typedef struct _LibraryUIPrivate 	LibraryUIPrivate;

struct _LibraryUI
{
	GObject base;
	
	LibraryUIPrivate *priv;
};

struct _LibraryUIClass
{
	GObjectClass parent_class;

	/* Signals */
	void (*start_playing) (LibraryUI *l);
	void (*stop_playing)  (LibraryUI *l);
};

GType        library_ui_get_type          (void) G_GNUC_CONST;

LibraryUI   *library_ui_new               (SourceManager *manager);

int          library_ui_get_source_id     (LibraryUI *l);
GList       *library_ui_get_selection     (LibraryUI *l);

G_END_DECLS

#endif /* __LIBRARY_UI_H */
