/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: node-search.h,v 1.5 2002/04/01 14:49:22 jbaayen Exp $
 */

#ifndef __SEARCH_NODES_H
#define __SEARCH_NODES_H

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define TYPE_NODE_SEARCH            (node_search_get_type ())
#define NODE_SEARCH(obj)	    (GTK_CHECK_CAST ((obj), TYPE_NODE_SEARCH, NodeSearch))
#define NODE_SEARCH_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), TYPE_NODE_SEARCH, NodeSearchClass))
#define IS_NODE_SEARCH(obj)	    (GTK_CHECK_TYPE ((obj), TYPE_NODE_SEARCH))
#define IS_NODE_SEARCH_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_NODE_SEARCH))
#define NODE_SEARCH_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), TYPE_NODE_SEARCH, NodeSearchClass))

typedef struct _NodeSearch        	NodeSearch;
typedef struct _NodeSearchClass 	NodeSearchClass;

typedef struct _NodeSearchPrivate 	NodeSearchPrivate;

struct _NodeSearch
{
	GObject base;
	
	NodeSearchPrivate *priv;
};

struct _NodeSearchClass
{
	GObjectClass parent_class;
};

GType         node_search_get_type          (void) G_GNUC_CONST;

NodeSearch   *node_search_new               (void);

void          node_search_add_song          (NodeSearch *search, Node *node);

const GSList *node_search_run_search        (NodeSearch *search, const char *search_string);

G_END_DECLS

#endif
