/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: main.h,v 1.6 2002/04/01 14:57:44 jbaayen Exp $
 */

#ifndef __MAIN_H
#define __MAIN_H

#include "ui.h"
#include "queue.h"
#include "library.h"
#include "source-manager.h"

G_BEGIN_DECLS

typedef struct
{
	UI *ui;
	Queue *queue;
	Library *library;
	SourceManager *manager;
} RhythmBox;

extern RhythmBox *rhythmbox;

void rhythmbox_exit (RhythmBox *rhythmbox);

G_END_DECLS

#endif /* __MAIN_H */
