/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: rhythmbox-automation.h,v 1.3 2002/04/01 14:57:44 jbaayen Exp $
 */

#ifndef __RHYTHMBOX_AUTOMATION_H
#define __RHYTHMBOX_AUTOMATION_H

#include "RhythmBoxAutomation.h"

#include <bonobo/bonobo-control.h>
#include <bonobo/bonobo-object.h>

G_BEGIN_DECLS

#define RHYTHMBOX_AUTOMATION_TYPE         (rhythmbox_automation_get_type ())
#define RHYTHMBOX_AUTOMATION(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), RHYTHMBOX_AUTOMATION_TYPE, RhythmBoxAutomation))
#define RHYTHMBOX_AUTOMATION_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), RHYTHMBOX_AUTOMATION_TYPE, RhythmBoxAutomationClass))
#define RHYTHMBOX_AUTOMATION_IS_OBJECT(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), RHYTHMBOX_AUTOMATION_TYPE))
#define RHYTHMBOX_AUTOMATION_IS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), RHYTHMBOX_AUTOMATION_TYPE))
#define RHYTHMBOX_AUTOMATION_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), RHYTHMBOX_AUTOMATION_TYPE, RhythmBoxAutomationClass))

typedef struct
{
        BonoboObject parent;
} RhythmBoxAutomation;

typedef struct
{
        BonoboObjectClass parent_class;

        POA_GNOME_RhythmBoxAutomation__epv epv;
} RhythmBoxAutomationClass;

GType          rhythmbox_automation_get_type (void);

BonoboObject  *rhythmbox_automation_new      (void);

G_END_DECLS

#endif /* __RHYTHMBOX_AUTOMATION_H */
