/* GTK - The GIMP Toolkit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * Modified by the GTK+ Team and others 1997-2000.  See the AUTHORS
 * file for a list of people on the GTK+ Team.  See the ChangeLog
 * files for a list of changes.  These files are distributed with
 * GTK+ at ftp://ftp.gtk.org/pub/gtk/. 
 */

#ifndef __LCD_HSCALE_H__
#define __LCD_HSCALE_H__


#include <gdk/gdk.h>
#include <gtk/gtkscale.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define LCD_TYPE_HSCALE            (lcd_hscale_get_type ())
#define LCD_HSCALE(obj)            (GTK_CHECK_CAST ((obj), LCD_TYPE_HSCALE, LCDHScale))
#define LCD_HSCALE_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), LCD_TYPE_HSCALE, LCDHScaleClass))
#define LCD_IS_HSCALE(obj)         (GTK_CHECK_TYPE ((obj), LCD_TYPE_HSCALE))
#define LCD_IS_HSCALE_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), LCD_TYPE_HSCALE))
#define LCD_HSCALE_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), LCD_TYPE_HSCALE, LCDHScaleClass))


typedef struct _LCDHScale       LCDHScale;
typedef struct _LCDHScaleClass  LCDHScaleClass;

struct _LCDHScale
{
  GtkScale scale;
};

struct _LCDHScaleClass
{
  GtkScaleClass parent_class;
};


GtkType    lcd_hscale_get_type       (void) G_GNUC_CONST;
GtkWidget* lcd_hscale_new            (GtkAdjustment *adjustment);
GtkWidget* lcd_hscale_new_with_range (gdouble        min,
                                      gdouble        max,
                                      gdouble        step);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __LCD_HSCALE_H__ */
