/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PREFS_H
#define __PREFS_H

#define TYPE_PREFS            (prefs_get_type ())
#define PREFS(obj)	      (GTK_CHECK_CAST ((obj), TYPE_PREFS, Prefs))
#define PREFS_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), TYPE_PREFS, PrefsClass))
#define IS_PREFS(obj)	      (GTK_CHECK_TYPE ((obj), TYPE_PREFS))
#define IS_PREFS_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_PREFS))
#define PREFS_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), TYPE_PREFS, PrefsClass))

typedef struct _Prefs        	Prefs;
typedef struct _PrefsClass 	PrefsClass;

typedef struct _PrefsPrivate 	PrefsPrivate;

struct _Prefs
{
	GObject base;
	
	PrefsPrivate *priv;
};

struct _PrefsClass
{
	GObjectClass parent_class;
};

typedef enum
{
	PREFS_PAGE_LIBRARY_FOLDERS  = 0,
	PREFS_PAGE_PLAYLIST_COLUMNS = 1
} PrefsPage;

GType  prefs_get_type          (void);

Prefs *prefs_new               (void);

void   prefs_show              (Prefs *p); 

void   prefs_set_page          (Prefs *p, PrefsPage page);

#endif /* __PREFS_H */
