/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: rb-image-button.h,v 1.2 2002/04/01 14:49:23 jbaayen Exp $
 */

#ifndef __RB_IMAGE_BUTTON_H
#define __RB_IMAGE_BUTTON_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TYPE_RB_IMAGE_BUTTON            (rb_image_button_get_type ())
#define RB_IMAGE_BUTTON(obj)	        (GTK_CHECK_CAST ((obj), TYPE_RB_IMAGE_BUTTON, RBImageButton))
#define RB_IMAGE_BUTTON_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), TYPE_RB_IMAGE_BUTTON, RBImageButtonClass))
#define IS_RB_IMAGE_BUTTON(obj)	        (GTK_CHECK_TYPE ((obj), TYPE_RB_IMAGE_BUTTON))
#define IS_RB_IMAGE_BUTTON_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_RB_IMAGE_BUTTON))
#define RB_IMAGE_BUTTON_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), TYPE_RB_IMAGE_BUTTON, RBImageButtonClass))

typedef struct _RBImageButton        	RBImageButton;
typedef struct _RBImageButtonClass 	RBImageButtonClass;

typedef struct _RBImageButtonPrivate 	RBImageButtonPrivate;

struct _RBImageButton
{
	GtkButton base;
	
	RBImageButtonPrivate *priv;
};

struct _RBImageButtonClass
{
	GtkButtonClass parent_class;
};

GType         rb_image_button_get_type             (void);

GtkWidget    *rb_image_button_new                  (GdkPixbuf *normal, GdkPixbuf *depressed);

void          rb_image_button_set_normal_pixbuf    (RBImageButton *button,
						    GdkPixbuf *pixbuf);
void          rb_image_button_set_depressed_pixbuf (RBImageButton *button,
						    GdkPixbuf *pixbuf);

G_END_DECLS

#endif /* __RB_IMAGE_BUTTON_H */
