/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: rbtreemodelfilter.h,v 1.6 2002/04/11 14:18:41 jbaayen Exp $
 */

#ifndef __RB_TREE_MODEL_FILTER_H
#define __RB_TREE_MODEL_FILTER_H

#include "gtktreemodelfilter.h"

G_BEGIN_DECLS

#define RB_TYPE_TREE_MODEL_FILTER            (rb_tree_model_filter_get_type ())
#define RB_TREE_MODEL_FILTER(obj)	     (GTK_CHECK_CAST ((obj), RB_TYPE_TREE_MODEL_FILTER, RBTreeModelFilter))
#define RB_TREE_MODEL_FILTER_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), RB_TYPE_TREE_MODEL_FILTER, RBTreeModelFilterClass))
#define RB_IS_TREE_MODEL_FILTER(obj)	     (GTK_CHECK_TYPE ((obj), RB_TYPE_TREE_MODEL_FILTER))
#define RB_IS_TREE_MODEL_FILTER_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), RB_TYPE_TREE_MODEL_FILTER))
#define RB_TREE_MODEL_FILTER_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), RB_TYPE_TREE_MODEL_FILTER, RBTreeModelFilterClass))

typedef struct _RBTreeModelFilter        	RBTreeModelFilter;
typedef struct _RBTreeModelFilterClass 		RBTreeModelFilterClass;

struct _RBTreeModelFilter
{
	GtkTreeModelFilter parent;
};

struct _RBTreeModelFilterClass
{
	GtkTreeModelFilterClass parent_class;
};

GType                rb_tree_model_filter_get_type             (void);

GtkTreeModel        *rb_tree_model_filter_new_with_model       (GtkTreeModel *child_model,
								int filter_column,
								GtkTreePath *virtual_root);

void                 rb_tree_model_filter_show_iters           (RBTreeModelFilter *f,
								GList *iters);

G_END_DECLS

#endif /* __RB_TREE_MODEL_FILTER_H */
