/*  RhythmBox
 *  Copyright (C) 2002 Jorn Baayen <jorn@nl.linux.org>
 *                     Marco Pesenti Gritti <marco@it.gnome.org>
 *                     Bastien Nocera <hadess@hadess.net>
 *                     Seth Nickell <snickell@stanford.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  $Id: treeview-utils.h,v 1.16 2002/04/13 21:54:29 kristian Exp $
 */

#ifndef __TREEVIEW_UTILS_H
#define __TREEVIEW_UTILS_H

#include <gtk/gtk.h>

#include "node.h"

G_BEGIN_DECLS

GtkTreePath *store_path_to_sort_path (GtkTreeModel *filtermodel,
				      GtkTreeModel *sortmodel,
			 	      GtkTreePath *path);
void         store_iter_to_sort_iter (GtkTreeModel *filtermodel,
				      GtkTreeModel *sortmodel,
				      GtkTreeIter *converted_iter,
				      GtkTreeIter *iter);
gint         priority_sort_func      (GtkTreeModel *model, GtkTreeIter *a, GtkTreeIter *b,
		                      gpointer user_data);
void         free_node_to_iter_hash  (GHashTable *hash);

G_END_DECLS

#endif /* __TREEVIEW_UTILS_H */
